import { Transform } from 'stream';

export interface OpusOptions {
  frameSize: number,
  channels: number,
  rate: number
}

export class OpusStream extends Transform {
  public encoder: any; // TODO: type opusscript/node-opus

  constructor(options: OpusOptions);
  public static readonly type: 'opusscript' | 'node-opus';
  public setBitrate(bitrate: number): void;
  public setFEC(enabled: boolean): void;
  public setPLP(percentage: number): void;
}

export class Encoder extends OpusStream {}
export class Decoder extends OpusStream {}

declare let _default: {
  Encoder: Encoder,
  Decoder: Decoder,
}

export default _default;
